Package: org.codehaus.groovy.ast.stmt

## [Java] Class CaseStatement

- org.codehaus.groovy.ast.stmt.CaseStatement

-     public class CaseStatement
      extends Statement

  Represents a case statement in a switch statement

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CaseStatement(Expression expression, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Statement` | `getCode()`
    `` | `public Expression` | `getExpression()`
    `` | `public void` | `setCode(Statement code)`
    `` | `public void` | `setExpression(Expression e)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public CaseStatement(Expression expression, Statement code)

  - ### Method Detail

    - #### public Statement getCode()

    - #### public Expression getExpression()

    - #### public void setCode(Statement code)

    - #### public void setExpression(Expression e)

    - #### @Override
      public String toString()

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)